## visad.georef
Class LatLonTuple

    java.lang.Object
      visad.ThingImpl
          visad.DataImpl
              visad.Tuple
                  visad.RealTuple
                      visad.georef.LatLonTuple

All Implemented Interfaces:
  Cloneable, Data, LatLonPoint, RealTupleIface, Serializable, Thing, TupleIface

public class LatLonTuple
extends RealTuple
implements LatLonPoint

RealTuple implementation of LatLonPoint for defining lat/lon points

See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class visad.DataImpl
`DataImpl.Syncher`

Nested classes inherited from class visad.ThingImpl
``

Field Summary
`static Unit[]` `DEFAULT_UNITS`

Fields inherited from class visad.Tuple
``

Fields inherited from class visad.DataImpl
``

Fields inherited from interface visad.Data

`ABS, ACOS, ACOS_DEGREES, ADD, ASIN, ASIN_DEGREES, ATAN, ATAN_DEGREES, ATAN2, ATAN2_DEGREES, CEIL, COS, COS_DEGREES, DEGREES_TO_RADIANS, DEPENDENT, DIVIDE, EXP, FLOOR, INDEPENDENT, INV_ATAN2, INV_ATAN2_DEGREES, INV_DIVIDE, INV_POW, INV_REMAINDER, INV_SUBTRACT, LOG, MAX, MIN, MULTIPLY, NEAREST_NEIGHBOR, NEGATE, NO_ERRORS, NOP, POW, RADIANS_TO_DEGREES, REMAINDER, RINT, ROUND, SIN, SIN_DEGREES, SQRT, SUBTRACT, TAN, TAN_DEGREES, WEIGHTED_AVERAGE`

Constructor Summary
`LatLonTuple()` Construct a LatLonTuple with missing values
`LatLonTuple(double lat, double lon)` Construct a LatLonTuple from double values of latitude and longitude.
`LatLonTuple(Real lat, Real lon)` Construct a LatLonTuple from Reals representing the latitude and longitude.
`LatLonTuple(Real lat, Real lon, Unit[] units, boolean checkUnits)` Construct a LatLonTuple from Reals representing the latitude and longitude.

Method Summary
`Real` `getLatitude()` Get the latitude of this point
`Real` `getLongitude()` Get the longitude of this point
`String` `toString()` Provide a String representation of this RealTuple.

Methods inherited from class visad.RealTuple
`addReference, binary, clone, computeRanges, getCoordinateSystem, getErrors, getTupleUnits, getValues, longString, main, removeReference, unary`

Methods inherited from class visad.Tuple
`__getitem__, __len__, adjustSamplingError, buildTupleType, equals, getComponent, getComponents, getDimension, getLength, getRealComponents, hashCode, isMissing, makeTuple`

Methods inherited from class visad.DataImpl

`__add__, __add__, __div__, __div__, __mod__, __mod__, __mul__, __mul__, __neg__, __pow__, __pow__, __radd__, __rdiv__, __rmod__, __rmul__, __rpow__, __rsub__, __sub__, __sub__, abs, abs, acos, acos, acosDegrees, acosDegrees, add, add, asin, asin, asinDegrees, asinDegrees, atan, atan, atan2, atan2, atan2Degrees, atan2Degrees, atanDegrees, atanDegrees, binary, ceil, ceil, changeMathType, computeRanges, computeRanges, cos, cos, cosDegrees, cosDegrees, dataClone, divide, divide, exp, exp, floor, floor, getType, local, log, log, longString, max, max, min, min, multiply, multiply, negate, negate, notifyReferences, pow, pow, remainder, remainder, rint, rint, round, round, sin, sin, sinDegrees, sinDegrees, sqrt, sqrt, subtract, subtract, tan, tan, tanDegrees, tanDegrees, unary`

Methods inherited from class visad.ThingImpl
``

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface visad.georef.LatLonPoint
`equals`

Methods inherited from interface visad.Data

`abs, abs, acos, acos, acosDegrees, acosDegrees, add, add, adjustSamplingError, asin, asin, asinDegrees, asinDegrees, atan, atan, atan2, atan2, atan2Degrees, atan2Degrees, atanDegrees, atanDegrees, binary, binary, ceil, ceil, changeMathType, computeRanges, computeRanges, computeRanges, cos, cos, cosDegrees, cosDegrees, dataClone, divide, divide, exp, exp, floor, floor, getType, isMissing, local, log, log, longString, longString, max, max, min, min, multiply, multiply, negate, negate, pow, pow, remainder, remainder, rint, rint, round, round, sin, sin, sinDegrees, sinDegrees, sqrt, sqrt, subtract, subtract, tan, tan, tanDegrees, tanDegrees, unary, unary`

Methods inherited from interface visad.Thing
`addReference, removeReference`

Methods inherited from interface visad.TupleIface
`adjustSamplingError, getComponent, getDimension, getRealComponents, isMissing`

Field Detail

### DEFAULT_UNITS

    public static final Unit[] DEFAULT_UNITS

Constructor Detail

### LatLonTuple

    public LatLonTuple()
                throws VisADException,
                       RemoteException

  Construct a LatLonTuple with missing values

Throws:
  `VisADException` - couldn't create the necessary VisAD object
  `RemoteException` - couldn't create the necessary remote object

### LatLonTuple

    public LatLonTuple(double lat,
                       double lon)
                throws VisADException,
                       RemoteException

  Construct a LatLonTuple from double values of latitude and longitude.

Parameters:
  `lat` - latitude (degrees North positive)
  `lon` - longitude (degrees East positive)
Throws:
  `VisADException` - couldn't create the necessary VisAD object
  `RemoteException` - couldn't create the necessary remote object

### LatLonTuple

    public LatLonTuple(Real lat,
                       Real lon)
                throws VisADException,
                       RemoteException

  Construct a LatLonTuple from Reals representing the latitude and longitude.

Parameters:
  `lat` - Real representing latitude (must have MathType RealType.Latitude)
  `lon` - Real representing longitude (must have MathType RealType.Longitude)
Throws:
  `VisADException` - couldn't create the necessary VisAD object
  `RemoteException` - couldn't create the necessary remote object

### LatLonTuple

    public LatLonTuple(Real lat,
                       Real lon,
                       Unit[] units,
                       boolean checkUnits)
                throws VisADException,
                       RemoteException

  Construct a LatLonTuple from Reals representing the latitude and longitude.

Parameters:
  `lat` - Real representing latitude (must have MathType RealType.Latitude)
  `lon` - Real representing longitude (must have MathType RealType.Longitude)
  `units` - units for the reals (can be null)
  `checkUnits` - true to make sure units is convertible with lat/lon
Throws:
  `VisADException` - couldn't create the necessary VisAD object
  `RemoteException` - couldn't create the necessary remote object

Method Detail

### getLatitude

    public Real getLatitude()

  Get the latitude of this point

  Specified by:
    `getLatitude` in interface `LatLonPoint`
  Returns:
    Real representing the latitude

### getLongitude

    public Real getLongitude()

  Get the longitude of this point

  Specified by:
    `getLongitude` in interface `LatLonPoint`
  Returns:
    Real representing the longitude

### toString

    public String toString()

  Description copied from class: `RealTuple`
  Provide a String representation of this RealTuple.

  Specified by:
    `toString` in interface `RealTupleIface`
  Overrides:
    `toString` in class `RealTuple`